## org.eclipse.emf.common.ui.celleditor
Class ExtendedTableEditor

    java.lang.Object
      org.eclipse.swt.custom.ControlEditor
          org.eclipse.swt.custom.TableEditor
              org.eclipse.emf.common.ui.celleditor.ExtendedTableEditor

All Implemented Interfaces:
  java.util.EventListener, KeyListener, MouseListener, SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public abstract class ExtendedTableEditor

extends TableEditor
implements KeyListener, MouseListener, SelectionListener

This base class for implementing a `TableEditor` that calls `editItem(org.eclipse.swt.widgets.TableItem, int)` when the cell editor potentially needs to be activated. This API is under construction; please do not use it for anything more than experimentation.

Field Summary
`protected TableItem` `editTableItem`
`protected int` `editTableItemColumn`
`protected TableItem` `selectedTableItem`
`protected Table` `table`

Fields inherited from class org.eclipse.swt.custom.ControlEditor
`grabHorizontal, grabVertical, horizontalAlignment, minimumHeight, minimumWidth, verticalAlignment`

Constructor Summary
`ExtendedTableEditor(Table table)`

Method Summary
`void` `dismiss()`
`protected abstract void` `editItem(TableItem tableItem, int column)`
`void` `keyPressed(KeyEvent event)`
`void` `keyReleased(KeyEvent event)`
`void` `mouseDoubleClick(MouseEvent event)`
`void` `mouseDown(MouseEvent event)`
`void` `mouseUp(MouseEvent event)`
`void` `setEditor(Control canvas, TableItem tableItem, int column)`
`void` `widgetDefaultSelected(SelectionEvent event)`
`void` `widgetSelected(SelectionEvent event)`

Methods inherited from class org.eclipse.swt.custom.TableEditor
`dispose, getColumn, getItem, layout, setColumn, setEditor, setItem`

Methods inherited from class org.eclipse.swt.custom.ControlEditor
`getEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected Table table

### selectedTableItem

    protected TableItem selectedTableItem

### editTableItem

    protected TableItem editTableItem

### editTableItemColumn

    protected int editTableItemColumn

Constructor Detail

### ExtendedTableEditor

    public ExtendedTableEditor(Table table)

Method Detail

### mouseDoubleClick

    public void mouseDoubleClick(MouseEvent event)

  Specified by:
    `mouseDoubleClick` in interface `MouseListener`

### mouseDown

    public void mouseDown(MouseEvent event)

  Specified by:
    `mouseDown` in interface `MouseListener`

### dismiss

    public void dismiss()

### mouseUp

    public void mouseUp(MouseEvent event)

  Specified by:
    `mouseUp` in interface `MouseListener`

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent event)

  Specified by:
    `widgetDefaultSelected` in interface `SelectionListener`

### widgetSelected

    public void widgetSelected(SelectionEvent event)

  Specified by:
    `widgetSelected` in interface `SelectionListener`

### keyPressed

    public void keyPressed(KeyEvent event)

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent event)

  Specified by:
    `keyReleased` in interface `KeyListener`

### editItem

    protected abstract void editItem(TableItem tableItem,
                                     int column)

### setEditor

    public void setEditor(Control canvas,
                          TableItem tableItem,
                          int column)

  Overrides:
    `setEditor` in class `TableEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.